Subject: bug#70784: Abolish string resizing

From: Eli Zaretskii <[email-masked]>
Date: Sun, 05 May 2024 18:23:49 +0300

> From: Mattias Engdegård <[email-masked]>
> Date: Sun, 5 May 2024 16:18:16 +0200
> Cc: [email-masked],
>  [email-masked]
> 
> 5 maj 2024 kl. 16.04 skrev Eli Zaretskii <[email-masked]>:
> 
> > How many places in our own sources call aset on strings?
> 
> In general, very little. Resizing ones, probably none now.
> 
> > I'm not yet sure this is a good idea, but one thing I'm sure: it is
> > not for Emacs 30.  So if we decide to go this way, let's delay
> > merging the changes until after the emacs-30 branch is cut, which
> > should happen in a week or two.
> 
> That's fine, but a warning might help in emacs-30 to prepare for making resizing an error in emacs-31.
> Here's how that would work: the first 5 times (say), emit a warning like
> 
>  Warning: `aset' on a multibyte string with char value #x2022 will become an error in Emacs 31
> 
> followed by a truncated stack trace, just enough to help the user (or someone helping out) see what package is responsible.

I'm not sure even that is a good idea for Emacs 30.

Let's see what others think.